{ sources, stdenv, yarn2nix-moretea }:
let
  yarnModules = yarn2nix-moretea.mkYarnModules rec {
    name = "landing";
    pname = name;
    version = "v1.0.0";
    packageJSON = "${sources.webapps-landing}/package.json";
    yarnLock = "${sources.webapps-landing}/yarn.lock";
    yarnNix = ./landing/yarn-packages.nix;
  };
in
  stdenv.mkDerivation rec {
    pname = "landing";
    version = "v1.0.0";
    src = sources.webapps-landing;

    buildInputs = [ yarnModules yarn2nix-moretea.yarn ];
    configurePhase = ''
      ln -s ${yarnModules}/node_modules .
    '';
    buildPhase = ''
      yarn build
    '';
    installPhase = ''
      cp -a dist $out
      cp ${./landing}/*.php $out/
      ln -s service-worker.js $out/worker.js
    '';
  }
